Imos coñecer Synaptic en LMDE <° Linux

Unha das preguntas máis frecuentes entre os usuarios que comezan en GNU / Linux, é como instalar ou desinstalar programas e que tipo de paquetes se poden instalar. Mostrarémosche un dos xeitos máis sinxelos de facer esta tarefa usando Sináptico, e tamén, contarémosche brevemente que é e como podemos usalo.

Normalmente en Windows, para instalar un programa nun ficheiro coa extensión .exe e só temos que usar o Seguinte »Seguinte co número de serie impar e para o proceso inverso (desinstalar), imos a Panel de control »Engadir / Eliminar programas.

No caso de que GNU / Linux, tamén hai o que poderiamos chamar noso .exe pero, por suposto, teñen outro nome e estrutura. Normalmente a maioría dos paquetes en GNU / Linux Están aloxados en repositorios e utilízanse varias ferramentas para xestionalos. Quizais os máis populares ou coñecidos sexan o .deb e .rpm e ambos poden ser xestionados por Sináptico, que inicialmente era unha interface para APT.

Synaptic: interface para APT

Traballa con Sináptico é moi sinxelo. A interface non é complicada e poucas veces un novo usuario ten que usar ou modificar todas as súas opcións. En xeral, como vén por defecto, pode realizar as tarefas máis comúns.

Sináptico foi coma el Engadir / Eliminar programas de Windows. Para o seu funcionamento, debemos ter configurado (no caso de Debian e os seus derivados) as rutas aos repositorios onde se atopan os paquetes para instalar, no ficheiro / Etc / apt / sources.list. A partir dese ficheiro, Sináptico obtén o camiño necesario para acceder aos paquetes.

Coñecer a interface.

É bo engadir que a interface de Sináptico en LinuxMint, é diferente de Debian. Por algunha razón en LinuxMintbotón non incluído Comprobe todas as actualizacións. Pero volvamos á interface.

Na parte superior temos o Barra de menú das que veremos algunhas opcións máis adiante. Un pouco máis abaixo, os seguintes botóns:

  • Recarga: Actualice a lista de paquetes.
  • Aplicar: Cando marcamos un paquete para instalar ou desinstalar, empregamos este botón para aplicar o cambio.
  • Propiedades: Mostra as características do paquete, a súa descrición e dependencias.
  • Buscar por: Mostra un diálogo con varias opcións para buscar paquetes segundo certos parámetros.

Botóns de acceso rápido

Abaixo temos a interface dividida en dúas columnas. Á esquerda hai as opcións segundo a sección que seleccionamos. Chama á sección de botóns: Seccións, estado, orixe, filtros e resultados de busca.

  • Seccións: Amosa paquetes organizados por categorías. Se queremos buscar un paquete relacionado co Gnome Desktop Environment, por exemplo, só temos que ir á sección Gnome.
  • Estado: Nesta sección atoparemos cales son os paquetes actualizables, obsoletos, instalados ou residuais.
  • Orixe: Mostra a orixe (repositorios) dos paquetes. Noutras palabras, de onde veñen.
  • Filtros: Nesta sección pode aplicar certos filtros para obter varios tipos de información. É importante saber que os paquetes rotos aparecen aquí.
  • Resultados da busca: Precisamente o que fai é como o seu nome indica, amosar os resultados das buscas en Sináptico.

Seccións sinápticas

No outro lado temos a lista de paquetes que podemos instalar a través de Synaptic. Se seleccionamos algún deles e facemos clic co botón dereito, podemos escoller certas opcións como:

  • Desmarque: Desmarque o paquete se o seleccionamos previamente.
  • Marque para instalar: Comprobe o paquete para instalalo.
  • Marca para reinstalar: Ben, selecciona e reinstala o paquete.
  • Marcar para actualizar: Se o paquete ten unha actualización, seleccionámolo con esta opción.
  • Marcar para eliminar: Elimina só o paquete seleccionado.
  • Marca para eliminar completamente: Elimina o paquete seleccionado coas súas dependencias recomendadas. As dependencias suxeridas van á configuración residual.
  • propiedades: Fai o mesmo que o botón da parte superior.
  • Marca recomendada para a instalación: Seleccione as dependencias recomendadas do paquete para instalar.
  • Marcar como suxerido para a instalación: Seleccione as dependencias suxeridas do paquete para instalar.

Lista de paquetes dispoñibles

Outras opcións.

Sabendo isto xa podemos traballar Sináptico, pero podemos facer outras cousas, como por exemplo cambiar as fontes dos repositorios. Algo útil se os espellos que usamos son lentos ou lentos. Para iso farémolo Configuración »Repositorio.

Na xanela de opcións que obtemos, só necesitamos coñecer 3 pestanas para poder xestionar os nosos repositorios. No primeiro, obtemos as ramas nas que usamos LinuxMint (Principal, Upstream, Import, Backport e Romeo). Simplemente marcando / desmarcando edítase o ficheiro / Etc / apt / sources.list.

Orixes do software

Na segunda pestana incluímos os repositorios que non o son Menta, é dicir, o Paquetes de terceiros como de Debian, The PPA de Ubuntu ou calquera fonte compatible con LMDE.

Software de terceiros

E na terceira pestana, podemos activar as actualizacións automáticas e cada vez que queremos que se executen.

Actualización automática

Aínda máis?

Se o precisas, Sináptico tamén ten que configurar o Proxy de rede e Distribución que queremos usar por defecto. Para iso farémolo Configuración »Preferencias.

Para explicar un pouco sobre o Distribución, se observamos o ficheiro / Etc / apt / sources.list, temos dous deseños para usar (teña en conta o texto en cor):

deb http://packages.linuxmint.com/ debian importación principal ascendente
deb http://ftp.debian.org/debian probas principal contrib non gratuíto
deb http://security.debian.org/ probas/ updates principal contrib non gratuíto
deb http://www.debian-multimedia.org probas principal non libre

Predeterminado, Sináptico sempre leva a distribución máis alta, o que significa que se entra o paquete Pidgin 2.8 no repos de Menta (debian) e versión 2.9 in Debian (probas), o programa suxeriranos que instalemos a versión 2.9.

Por suposto, isto pódese cambiar se escollemos manualmente a distribución que queremos empregar coa opción: Prefire as versións de:

Escolla a distribución
E ben, se usamos un proxy para conectarnos a través de http, tamén temos a opción de configuralo manualmente:

Proxy de rede

Hai outras ferramentas para xestionar os nosos paquetes, actualizalos e instalalos. Ubuntu por exemplo agora inclúe o teu Centro de softwareE LMDE ten un moi parecido, pero de certo xeito Sináptico É máis completo.


O contido do artigo adhírese aos nosos principios de ética editorial. Para informar dun erro faga clic en aquí.

2 comentarios, deixa os teus

Deixa o teu comentario

Enderezo de correo electrónico non será publicado. Os campos obrigatorios están marcados con *

*

*

  1. Responsable dos datos: Miguel Ángel Gatón
  2. Finalidade dos datos: controlar SPAM, xestión de comentarios.
  3. Lexitimación: o seu consentimento
  4. Comunicación dos datos: os datos non serán comunicados a terceiros salvo obrigación legal.
  5. Almacenamento de datos: base de datos aloxada por Occentus Networks (UE)
  6. Dereitos: en calquera momento pode limitar, recuperar e eliminar a súa información.

  1.   Jonathan dixo

    Moitas grazas, a verdade é que estou empezando con Linux e esta ferramenta é vital. É bo coñecela mellor

  2.   Claro dixo

    Necesito saber como evitar que Linux mint 17 Quiana intente actualizar a reposición desde o seu sitio oficial
    E incluído no meu sources.list un novo enderezo de actualización xa probado en Ubuntu 14.04 e compatible con Mint pero cando (apt-get update) móstrase o seguinte:

    Err http://ubuntu.mes.edu.cu InRelease, proposta de confianza

    Err http://packages.linuxmint.com qiana InRelease

    Err http://archive.ubuntu.com InRelease de confianza

    Err http://archive.ubuntu.com trusty-updates InRelease

    Err http://security.ubuntu.com trust-security InRelease

    Err http://ubuntu.mes.edu.cu trust-security InRelease

    Err http://ubuntu.mes.edu.cu trusty-updates InRelease

    Err http://ubuntu.mes.edu.cu InRelease de confianza

    Err http://archive.ubuntu.com Release de confianza.gpg
    Non se puido resolver "archive.ubuntu.com"
    Err http://security.ubuntu.com trusty-security Release.gpg
    Non se puido resolver "security.ubuntu.com"
    Err http://ubuntu.mes.edu.cu Release.gpg, proposta de confianza
    Non se puido resolver "ubuntu.mes.edu.cu"
    Err http://packages.linuxmint.com qiana Release.gpg
    Non se puido resolver "packages.linuxmint.com"
    Err http://ubuntu.mes.edu.cu trusty-security Release.gpg
    Non se puido resolver "ubuntu.mes.edu.cu"
    Err http://ubuntu.mes.edu.cu trusty-updates Release.gpg
    Non se puido resolver "ubuntu.mes.edu.cu"
    Err http://archive.ubuntu.com trusty-updates Release.gpg
    Non se puido resolver "archive.ubuntu.com"
    Err http://ubuntu.mes.edu.cu Release de confianza.gpg
    Non se puido resolver "ubuntu.mes.edu.cu"
    Err http://extra.linuxmint.com qiana InRelease

    Err http://extra.linuxmint.com qiana Release.gpg
    Non se puido resolver "extra.linuxmint.com"
    Err http://archive.canonical.com InRelease de confianza

    Err http://archive.canonical.com Release de confianza.gpg
    Non se puido resolver "archive.canonical.com"
    W: Non se puido conseguir http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-proposed/InRelease

    W: Non se puido conseguir http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-security/InRelease

    W: Non se puido conseguir http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-updates/InRelease

    W: Non se puido conseguir http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty/InRelease

    W: Non se puido conseguir http://packages.linuxmint.com/dists/qiana/InRelease

    W: Non se puido conseguir http://extra.linuxmint.com/dists/qiana/InRelease

    W: Non se puido conseguir http://archive.ubuntu.com/ubuntu/dists/trusty/InRelease

    W: Non se puido conseguir http://archive.ubuntu.com/ubuntu/dists/trusty-updates/InRelease

    W: Non se puido conseguir http://security.ubuntu.com/ubuntu/dists/trusty-security/InRelease

    W: Non se puido conseguir http://archive.canonical.com/ubuntu/dists/trusty/InRelease

    W: Non se puido conseguir http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-proposed/Release.gpg Non se puido resolver "ubuntu.mes.edu.cu"

    W: Non se puido conseguir http://packages.linuxmint.com/dists/qiana/Release.gpg Non se puido resolver "packages.linuxmint.com"

    W: Non se puido conseguir http://archive.ubuntu.com/ubuntu/dists/trusty/Release.gpg Non se puido resolver "archive.ubuntu.com"

    W: Non se puido conseguir http://archive.ubuntu.com/ubuntu/dists/trusty-updates/Release.gpg Non se puido resolver "archive.ubuntu.com"

    W: Non se puido conseguir http://security.ubuntu.com/ubuntu/dists/trusty-security/Release.gpg Non se puido resolver "security.ubuntu.com"

    W: Non se puido conseguir http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-security/Release.gpg Non se puido resolver "ubuntu.mes.edu.cu"

    W: Non se puido conseguir http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-updates/Release.gpg Non se puido resolver "ubuntu.mes.edu.cu"

    W: Non se puido conseguir http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty/Release.gpg Non se puido resolver "ubuntu.mes.edu.cu"

    W: Non se puido conseguir http://extra.linuxmint.com/dists/qiana/Release.gpg Non se puido resolver "extra.linuxmint.com"

    W: Non se puido conseguir http://archive.canonical.com/ubuntu/dists/trusty/Release.gpg Non se puido resolver "archive.canonical.com"

    W: Non se puideron descargar algúns ficheiros de índice. Ignoráronse ou empregáronse outros antigos.
    E: Non se puido bloquear / var / lib / dpkg / lock - abrir (11: o recurso non está dispoñible temporalmente)
    E: Non se puido bloquear o directorio de administración (/ var / lib / dpkg /), quizais haxa algún outro proceso que o use?

    *************** Como resolver este problema? **************************
    Prégolle que me axude por favor